[@rxap/forms](../wiki/globals) / RxapValidators

# Variable: RxapValidators

> `const` **RxapValidators**: `object`

Defined in: [packages/angular/forms/src/lib/validators/index.ts:17](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/forms/src/lib/validators/index.ts#L17)

## Type declaration

### IsArray()

> **IsArray**: (`__namedParameters`) => (`control`) => `null` \| `ValidationErrors`

#### Parameters

##### \_\_namedParameters

###### message?

`string`

#### Returns

`Function`

##### Parameters

###### control

`AbstractControl`

##### Returns

`null` \| `ValidationErrors`

### IsBoolean()

> **IsBoolean**: (`__namedParameters`) => (`control`) => `null` \| `ValidationErrors`

#### Parameters

##### \_\_namedParameters

###### message?

`string`

#### Returns

`Function`

##### Parameters

###### control

`AbstractControl`

##### Returns

`null` \| `ValidationErrors`

### IsComplex()

> **IsComplex**: (`__namedParameters`) => (`control`) => `null` \| `ValidationErrors`

#### Parameters

##### \_\_namedParameters

###### message?

`string`

###### options

[`ComplexityOptions`](../wiki/Interface.ComplexityOptions)

#### Returns

`Function`

##### Parameters

###### control

`AbstractControl`

##### Returns

`null` \| `ValidationErrors`

### IsDate()

> **IsDate**: (`__namedParameters`) => (`control`) => `null` \| `ValidationErrors`

#### Parameters

##### \_\_namedParameters

###### message?

`string`

#### Returns

`Function`

##### Parameters

###### control

`AbstractControl`

##### Returns

`null` \| `ValidationErrors`

### IsEmail()

> **IsEmail**: (`__namedParameters`) => (`control`) => `null` \| `ValidationErrors`

#### Parameters

##### \_\_namedParameters

###### message?

`string`

###### options?

`IsEmailOptions`

#### Returns

`Function`

##### Parameters

###### control

`AbstractControl`

##### Returns

`null` \| `ValidationErrors`

### IsEnum()

> **IsEnum**: (`__namedParameters`) => (`control`) => `null` \| `ValidationErrors`

#### Parameters

##### \_\_namedParameters

###### entity

`any`

###### message?

`string`

#### Returns

`Function`

##### Parameters

###### control

`AbstractControl`

##### Returns

`null` \| `ValidationErrors`

### IsInt()

> **IsInt**: (`__namedParameters`) => (`control`) => `null` \| `ValidationErrors`

#### Parameters

##### \_\_namedParameters

###### message?

`string`

###### options?

[`IsNumberOptions`](../wiki/Interface.IsNumberOptions)

#### Returns

`Function`

##### Parameters

###### control

`AbstractControl`

##### Returns

`null` \| `ValidationErrors`

### IsIP()

> **IsIP**: (`__namedParameters`) => (`control`) => `null` \| `ValidationErrors`

#### Parameters

##### \_\_namedParameters

###### message?

`string`

###### version?

`string` \| `number`

#### Returns

`Function`

##### Parameters

###### control

`AbstractControl`

##### Returns

`null` \| `ValidationErrors`

### IsNumber()

> **IsNumber**: (`__namedParameters`) => (`control`) => `null` \| `ValidationErrors`

#### Parameters

##### \_\_namedParameters

###### message?

`string`

###### options?

[`IsNumberOptions`](../wiki/Interface.IsNumberOptions)

#### Returns

`Function`

##### Parameters

###### control

`AbstractControl`

##### Returns

`null` \| `ValidationErrors`

### IsObject()

> **IsObject**: (`__namedParameters`) => (`control`) => `null` \| `ValidationErrors`

#### Parameters

##### \_\_namedParameters

###### message?

`string`

#### Returns

`Function`

##### Parameters

###### control

`AbstractControl`

##### Returns

`null` \| `ValidationErrors`

### IsPhoneNumber()

> **IsPhoneNumber**: (`__namedParameters`) => (`control`) => `null` \| `ValidationErrors`

#### Parameters

##### \_\_namedParameters

###### locale?

`"any"` \| `MobilePhoneLocale` \| `MobilePhoneLocale`[]

###### message?

`string`

###### options?

`IsMobilePhoneOptions`

#### Returns

`Function`

##### Parameters

###### control

`AbstractControl`

##### Returns

`null` \| `ValidationErrors`

### IsPort()

> **IsPort**: (`__namedParameters`) => (`control`) => `null` \| `ValidationErrors`

#### Parameters

##### \_\_namedParameters

###### message?

`string`

#### Returns

`Function`

##### Parameters

###### control

`AbstractControl`

##### Returns

`null` \| `ValidationErrors`

### IsString()

> **IsString**: (`__namedParameters`) => (`control`) => `null` \| `ValidationErrors`

#### Parameters

##### \_\_namedParameters

###### message?

`string`

#### Returns

`Function`

##### Parameters

###### control

`AbstractControl`

##### Returns

`null` \| `ValidationErrors`

### IsUrl()

> **IsUrl**: (`__namedParameters`) => (`control`) => `null` \| `ValidationErrors`

#### Parameters

##### \_\_namedParameters

###### message?

`string`

###### options?

`IsURLOptions`

#### Returns

`Function`

##### Parameters

###### control

`AbstractControl`

##### Returns

`null` \| `ValidationErrors`

### IsUUID()

> **IsUUID**: (`__namedParameters`) => (`control`) => `null` \| `ValidationErrors`

#### Parameters

##### \_\_namedParameters

###### message?

`string`

###### version?

`string` = `'all'`

#### Returns

`Function`

##### Parameters

###### control

`AbstractControl`

##### Returns

`null` \| `ValidationErrors`
